|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerWidgetDataBaseInterface Class Reference

    #include <QDesignerWidgetDataBaseInterface>

Part of the QtDesigner module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QDesignerWidgetDataBaseInterface ( QObject * parent = 0 )
- virtual ~QDesignerWidgetDataBaseInterface ()
- virtual void append ( QDesignerWidgetDataBaseItemInterface * item )
- virtual QDesignerFormEditorInterface * core () const
- virtual int count () const
- virtual int indexOf ( QDesignerWidgetDataBaseItemInterface * item ) const
- virtual int indexOfClassName ( const QString & name, bool resolveName = true ) const
- virtual int indexOfObject ( QObject * object, bool resolveName = true ) const
- virtual void insert ( int index, QDesignerWidgetDataBaseItemInterface * item )
- bool isContainer ( QObject * object, bool resolveName = true ) const
- bool isCustom ( QObject * object, bool resolveName = true ) const
- virtual QDesignerWidgetDataBaseItemInterface * item ( int index ) const

- 28 public functions inherited from QObject

### Signals

- void changed ()

- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QDesignerWidgetDataBaseInterface::QDesignerWidgetDataBaseInterface ( QObject * parent = 0 )

Constructs an interface to the widget database with the given parent.

### QDesignerWidgetDataBaseInterface::~QDesignerWidgetDataBaseInterface () `[virtual]`

Destroys the interface to the widget database.

### void QDesignerWidgetDataBaseInterface::append ( QDesignerWidgetDataBaseItemInterface * item ) `[virtual]`

### void QDesignerWidgetDataBaseInterface::changed () `[signal]`

This signal is emitted ...

### QDesignerFormEditorInterface * QDesignerWidgetDataBaseInterface::core () const `[virtual]`

### int QDesignerWidgetDataBaseInterface::count () const `[virtual]`

### int QDesignerWidgetDataBaseInterface::indexOf ( QDesignerWidgetDataBaseItemInterface * item ) const `[virtual]`

### int QDesignerWidgetDataBaseInterface::indexOfClassName ( const QString & name, bool resolveName = true ) const `[virtual]`

### int QDesignerWidgetDataBaseInterface::indexOfObject ( QObject * object, bool resolveName = true ) const `[virtual]`

### void QDesignerWidgetDataBaseInterface::insert ( int index, QDesignerWidgetDataBaseItemInterface * item ) `[virtual]`

### bool QDesignerWidgetDataBaseInterface::isContainer ( QObject * object, bool resolveName = true ) const

### bool QDesignerWidgetDataBaseInterface::isCustom ( QObject * object, bool resolveName = true ) const

### QDesignerWidgetDataBaseItemInterface * QDesignerWidgetDataBaseInterface::item ( int index ) const `[virtual]`